Panduan pembalasan.id
Conversations

Toggle Status

POST
/api/v1/accounts/{account_id}/conversations/{conversation_id}/toggle_status

Toggle the status of a conversation. Pass status to explicitly set the conversation state. Use snoozed along with snoozed_until to snooze a conversation until a specific time. If snoozed_until is omitted, the conversation is snoozed until the next reply from the contact. Regardless of the value provided, snoozed conversations always reopen on the next reply from the contact.

Authorization

api_access_token<token>

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

In: header

Path Parameters

account_id*integer

The numeric ID of the account

conversation_id*integer

The numeric ID of the conversation

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/accounts/0/conversations/0/toggle_status" \  -H "Content-Type: application/json" \  -d '{    "status": "open"  }'
{
  "meta": {},
  "payload": {
    "success": true,
    "current_status": "open",
    "conversation_id": 0
  }
}
{
  "description": "string",
  "errors": [
    {
      "field": "string",
      "message": "string",
      "code": "string"
    }
  ]
}
{
  "description": "string",
  "errors": [
    {
      "field": "string",
      "message": "string",
      "code": "string"
    }
  ]
}